//created by dishonor.
//This script moves shadows smoothly from morning to night
//Usage: To execute this script bind a key to vstr sun0 , f.e: /bind f6 "exec sun.cfg;vstr sun0"


// Night

set sun0 "r_lightTweakSunDirection -45	 -360 0; wait 2 ; r_lightTweakSunLight 0 ; wait 2 ; vstr sun1"
set sun1 "r_lightTweakSunDirection -45	 -350 0; wait 2 ; r_lightTweakSunLight 0.2 ; wait 2 ; vstr sun2"
set sun2 "r_lightTweakSunDirection -45	 -340 0; wait 2 ; r_lightTweakSunLight 0.3 ; wait 2 ; vstr sun3"
set sun3 "r_lightTweakSunDirection -45	 -330 0; wait 2 ; r_lightTweakSunLight 0.4 ; wait 2 ; vstr sun4"
set sun4 "r_lightTweakSunDirection -45	 -320 0; wait 2 ; r_lightTweakSunLight 0.5 ; wait 2 ; vstr sun5"
set sun5 "r_lightTweakSunDirection -45	 -310 0; wait 2 ; r_lightTweakSunLight 0.6 ; wait 2 ; vstr sun6"
set sun6 "r_lightTweakSunDirection -45	 -300 0; wait 2 ; r_lightTweakSunLight 0.7 ; wait 2 ; vstr sun7"
set sun7 "r_lightTweakSunDirection -45	 -290 0; wait 2 ; r_lightTweakSunLight 0.8 ; wait 2 ; vstr sun8"
set sun8 "r_lightTweakSunDirection -45	 -280 0; wait 2 ; r_lightTweakSunLight 1.1 ; wait 2 ; vstr sun9"
set sun9 "r_lightTweakSunDirection -45	 -270 0; wait 2 ; r_lightTweakSunLight 1.2 ; wait 2 ; vstr sun10"
set sun10 "r_lightTweakSunDirection -45	 -260 0; wait 2 ; r_lightTweakSunLight 1.3 ; wait 2 ; vstr sun11"
set sun11 "r_lightTweakSunDirection -45	 -250 0; wait 2 ; r_lightTweakSunLight 1.4 ; wait 2 ; vstr sun12"
set sun12 "r_lightTweakSunDirection -45	 -240 0; wait 2 ; r_lightTweakSunLight 1.5 ; wait 2 ; vstr sun13"
set sun13 "r_lightTweakSunDirection -45	 -230 0; wait 2 ; r_lightTweakSunLight 1.6 ; wait 2 ; vstr sun14"
set sun14 "r_lightTweakSunDirection -45	 -220 0; wait 2 ; r_lightTweakSunLight 1.7 ; wait 2 ; vstr sun15"
set sun15 "r_lightTweakSunDirection -45	 -210 0; wait 2 ; r_lightTweakSunLight 1.8 ; wait 2 ; vstr sun16"
set sun16 "r_lightTweakSunDirection -45	 -200 0; wait 2 ; r_lightTweakSunLight 1.9 ; wait 2 ; vstr sun17"
set sun17 "r_lightTweakSunDirection -45	 -190 0; wait 2 ; r_lightTweakSunLight 2 ; wait 2 ; vstr sun18"
set sun18 "r_lightTweakSunDirection -45	 -180 0; wait 2 ; r_lightTweakSunLight 2.2 ; wait 2 ; vstr sun19"
set sun19 "r_lightTweakSunDirection -45	 -170 0; wait 2 ; r_lightTweakSunLight 2.3 ; wait 2 ; vstr sun20"
set sun20 "r_lightTweakSunDirection -45	 -160 0; wait 2 ; r_lightTweakSunLight 2.4 ; wait 2 ; vstr sun21"
set sun21 "r_lightTweakSunDirection -45	 -150 0; wait 2 ; r_lightTweakSunLight 2.5 ; wait 2 ; vstr sun22"
set sun22 "r_lightTweakSunDirection -45	 -140 0; wait 2 ; r_lightTweakSunLight 2.6 ; wait 2 ; vstr sun23"
set sun23 "r_lightTweakSunDirection -45	 -130 0; wait 2 ; r_lightTweakSunLight 2.7 ; wait 2 ; vstr sun24"
set sun24 "r_lightTweakSunDirection -45	 -120 0; wait 2 ; r_lightTweakSunLight 2.8 ; wait 2 ; vstr sun25"
set sun25 "r_lightTweakSunDirection -45	 -110 0; wait 2 ; r_lightTweakSunLight 2.9 ; wait 2 ; vstr sun26"
set sun26 "r_lightTweakSunDirection -45	 -100 0; wait 2 ; r_lightTweakSunLight 3 ; wait 2 ; vstr sun27"
set sun27 "r_lightTweakSunDirection -45	 -90 0; wait 2 ; r_lightTweakSunLight 3.1 ; wait 2 ; vstr sun28"
set sun28 "r_lightTweakSunDirection -45	 -80 0; wait 2 ; r_lightTweakSunLight 3.2 ; wait 2 ; vstr sun29"
set sun29 "r_lightTweakSunDirection -45	 -70 0; wait 2 ; r_lightTweakSunLight 3.3 ; wait 2 ; vstr sun30"
set sun30 "r_lightTweakSunDirection -45	 -60 0; wait 2 ; r_lightTweakSunLight 3.4 ; wait 2 ; vstr sun31"
set sun31 "r_lightTweakSunDirection -45	 -50 0; wait 2 ; r_lightTweakSunLight 3.5 ; wait 2 ; vstr sun32"
set sun32 "r_lightTweakSunDirection -45	 -40 0; wait 2 ; r_lightTweakSunLight 3.6 ; wait 2 ; vstr sun33"
set sun33 "r_lightTweakSunDirection -45	 -30 0; wait 2 ; r_lightTweakSunLight 3.7 ; wait 2 ; vstr sun34"
set sun34 "r_lightTweakSunDirection -45	 -20 0; wait 2 ; r_lightTweakSunLight 3.8 ; wait 2 ; vstr sun35"
set sun35 "r_lightTweakSunDirection -45	 -10 0; wait 2 ; r_lightTweakSunLight 3.9 ; wait 2 ; vstr sun36"

// Day

set sun36 "r_lightTweakSunDirection -45	 0 0; wait 2 ; r_lightTweakSunLight 4 ; wait 2 ; vstr sun37"
set sun37 "r_lightTweakSunDirection -45	 10 0; wait 2 ; r_lightTweakSunLight 3.7 ; wait 2 ; vstr sun38"
set sun38 "r_lightTweakSunDirection -45	 20 0; wait 2 ; r_lightTweakSunLight 3.6 ; wait 2 ; vstr sun39"
set sun39 "r_lightTweakSunDirection -45	 30 0; wait 2 ; r_lightTweakSunLight 3.5 ; wait 2 ; vstr sun40"
set sun40 "r_lightTweakSunDirection -45	 40 0; wait 2 ; r_lightTweakSunLight 3.4 ; wait 2 ; vstr sun41"
set sun41 "r_lightTweakSunDirection -45	 50 0; wait 2 ; r_lightTweakSunLight 3.3 ; wait 2 ; vstr sun42"
set sun42 "r_lightTweakSunDirection -45	 60 0; wait 2 ; r_lightTweakSunLight 3.2 ; wait 2 ; vstr sun43"
set sun43 "r_lightTweakSunDirection -45	 70 0; wait 2 ; r_lightTweakSunLight 3.1 ; wait 2 ; vstr sun44"
set sun44 "r_lightTweakSunDirection -45	 80 0; wait 2 ; r_lightTweakSunLight 3 ; wait 2 ; vstr sun45"
set sun45 "r_lightTweakSunDirection -45	 90 0; wait 2 ; r_lightTweakSunLight 2.8 ; wait 2 ; vstr sun46"
set sun46 "r_lightTweakSunDirection -45	 100 0; wait 2 ; r_lightTweakSunLight 2.7 ; wait 2 ; vstr sun47"
set sun47 "r_lightTweakSunDirection -45	 110 0; wait 2 ; r_lightTweakSunLight 2.6 ; wait 2 ; vstr sun48"
set sun48 "r_lightTweakSunDirection -45	 120 0; wait 2 ; r_lightTweakSunLight 2.5 ; wait 2 ; vstr sun49"
set sun49 "r_lightTweakSunDirection -45	 130 0; wait 2 ; r_lightTweakSunLight 2.4 ; wait 2 ; vstr sun50"
set sun50 "r_lightTweakSunDirection -45	 140 0; wait 2 ; r_lightTweakSunLight 2.3 ; wait 2 ; vstr sun51"
set sun51 "r_lightTweakSunDirection -45	 150 0; wait 2 ; r_lightTweakSunLight 2.2 ; wait 2 ; vstr sun52"
set sun52 "r_lightTweakSunDirection -45	 160 0; wait 2 ; r_lightTweakSunLight 2.1 ; wait 2 ; vstr sun53"
set sun53 "r_lightTweakSunDirection -45	 170 0; wait 2 ; r_lightTweakSunLight 2 ; wait 2 ; vstr sun54"
set sun54 "r_lightTweakSunDirection -45	 180 0; wait 2 ; r_lightTweakSunLight 1.9 ; wait 2 ; vstr sun55"
set sun55 "r_lightTweakSunDirection -45	 190 0; wait 2 ; r_lightTweakSunLight 1.8 ; wait 2 ; vstr sun56"
set sun56 "r_lightTweakSunDirection -45	 200 0; wait 2 ; r_lightTweakSunLight 1.7 ; wait 2 ; vstr sun57"
set sun57 "r_lightTweakSunDirection -45	 210 0; wait 2 ; r_lightTweakSunLight 1.6 ; wait 2 ; vstr sun58"
set sun58 "r_lightTweakSunDirection -45	 220 0; wait 2 ; r_lightTweakSunLight 1.5 ; wait 2 ; vstr sun59"
set sun59 "r_lightTweakSunDirection -45	 230 0; wait 2 ; r_lightTweakSunLight 1.4 ; wait 2 ; vstr sun60"
set sun60 "r_lightTweakSunDirection -45	 240 0; wait 2 ; r_lightTweakSunLight 1.3 ; wait 2 ; vstr sun61"
set sun61 "r_lightTweakSunDirection -45	 250 0; wait 2 ; r_lightTweakSunLight 1.2 ; wait 2 ; vstr sun62"
set sun62 "r_lightTweakSunDirection -45	 260 0; wait 2 ; r_lightTweakSunLight 1.1 ; wait 2 ; vstr sun63"
set sun63 "r_lightTweakSunDirection -45	 270 0; wait 2 ; r_lightTweakSunLight 1 ; wait 2 ; vstr sun64"
set sun64 "r_lightTweakSunDirection -45	 280 0; wait 2 ; r_lightTweakSunLight 0.8 ; wait 2 ; vstr sun65"
set sun65 "r_lightTweakSunDirection -45	 290 0; wait 2 ; r_lightTweakSunLight 0.7 ; wait 2 ; vstr sun66"
set sun66 "r_lightTweakSunDirection -45	 300 0; wait 2 ; r_lightTweakSunLight 0.6 ; wait 2 ; vstr sun67"
set sun67 "r_lightTweakSunDirection -45	 310 0; wait 2 ; r_lightTweakSunLight 0.5 ; wait 2 ; vstr sun68"
set sun68 "r_lightTweakSunDirection -45	 320 0; wait 2 ; r_lightTweakSunLight 0.4 ; wait 2 ; vstr sun69"
set sun69 "r_lightTweakSunDirection -45	 330 0; wait 2 ; r_lightTweakSunLight 0.3 ; wait 2 ; vstr sun70"
set sun70 "r_lightTweakSunDirection -45	 340 0; wait 2 ; r_lightTweakSunLight 0.2 ; wait 2 ; vstr sun71"
set sun71 "r_lightTweakSunDirection -45	 350 0; wait 2 ; r_lightTweakSunLight 0.1 ; wait 2 ; vstr sun72"
set sun72 "r_lightTweakSunDirection -45	 360 0; wait 2 ; r_lightTweakSunLight 0 ; wait 2 ; vstr sun73"

// Night
